Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228978 - booting from 2.6.20-1.2930.fc7 result in kernel panic
Summary: booting from 2.6.20-1.2930.fc7 result in kernel panic
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 10:50 UTC by Martin
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-16 10:51:56 UTC


Attachments (Terms of Use)

Description Martin 2007-02-16 10:50:24 UTC
Description of problem:
booting from 2.6.20-1.2930.fc7 result in kernel panic
  
Actual results:

device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
  Reading all physical volumes. This may take a while...
  No volume groups found
  Volume group "VolGroup00" not found
Unable to access resume device (/dev/VolGroup00/LogVol01)
mount: could not find filesystem '/dev/root'
setuproot: moving /dev failed: No such file or directory
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
switchroot: mount failed: No such file or directory
Kernel panic - not syncing: Attempted to kill init!

the previous kernel-2925 boots w/o problems

Expected results:
booting without problems

Additional info:
grub.conf:
default=0
timeout=15
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora (2.6.20-1.2930.fc7)
	root (hd0,0)
	kernel /vmlinuz-2.6.20-1.2930.fc7 ro root=/dev/VolGroup00/LogVol00 rhgb 
quiet
	initrd /initrd-2.6.20-1.2930.fc7.img
title Fedora (2.6.20-1.2925.fc7)
	root (hd0,0)
	kernel /vmlinuz-2.6.20-1.2925.fc7 ro root=/dev/VolGroup00/LogVol00 rhgb 
quiet
	initrd /initrd-2.6.20-1.2925.fc7.img

Comment 1 Martin 2007-02-16 10:51:56 UTC
Sorry for double posting.

Comment 2 Bill Nottingham 2007-03-02 17:32:01 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.


Note You need to log in before you can comment on or make changes to this bug.